UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMEDeregistrationSuccessInfo Class Reference

## Public Member Functions
| UMEDeregistrationSuccessInfo ()
| UMEDeregistrationSuccessInfo (int flags, long sourceRegId, long receiverRegId, long sequenceNumber, int storeIndex, String store) throws LBMEInvalException
int | flags ()
long | sourceRegistrationId ()
long | receiverRegistrationId ()
long | sequenceNumber ()
int | storeIndex ()
String | store ()

## Detailed Description

UME Registration Success Info class. Contains extended information for UME deregistration success messages, like flags indicating any conditions on store deregistration, source and receiver registration IDs, and the store's name and group index.

Since
  UME 2.0

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMEDeregistrationSuccessInfo.UMEDeregistrationSuccessInfo | ( |  | ) |

Creates a UMEDeregistrationSuccessInfo object and initializes all fields to 0/null.

com.latencybusters.lbm.UMEDeregistrationSuccessInfo.UMEDeregistrationSuccessInfo | ( | int | flags,
|  | long | sourceRegId,
|  | long | receiverRegId,
|  | long | sequenceNumber,
|  | int | storeIndex,
|  | String | store
| ) |  | throws LBMEInvalException

Creates a UMEDeregistrationSuccessInfo object and initializes fields to supplied values.

Parameters

  flags | Flags concerning the type of deregistration.
  sourceRegId | Source registration ID (must be >= 0).
  receiverRegId | Receiver registration ID (must be >= 0).
  storeIndex | Index of store registered with (must be >= 0).
  store | Name (IP address) of store registered with.
  sequenceNumber | The starting sequence number according to the store.

Exceptions

  LBMEInvalException | if sourceRegId, receiverRegId, or storeIndex are < 0.

Since
  UME 2.0

References com.latencybusters.lbm.UMEDeregistrationSuccessInfo.flags(), com.latencybusters.lbm.UMEDeregistrationSuccessInfo.sequenceNumber(), com.latencybusters.lbm.UMEDeregistrationSuccessInfo.store(), and com.latencybusters.lbm.UMEDeregistrationSuccessInfo.storeIndex().

## Member Function Documentation

int com.latencybusters.lbm.UMEDeregistrationSuccessInfo.flags | ( |  | ) |

Get registration success flags.

Returns
  Flags.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEDeregistrationSuccessInfo.UMEDeregistrationSuccessInfo().

long com.latencybusters.lbm.UMEDeregistrationSuccessInfo.receiverRegistrationId | ( |  | ) |

Get receiver registration ID.

Returns
  receiver registration ID.

Since
  UME 2.0

long com.latencybusters.lbm.UMEDeregistrationSuccessInfo.sequenceNumber | ( |  | ) |

Get starting sequence number.

Returns
  starting sequence number.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEDeregistrationSuccessInfo.UMEDeregistrationSuccessInfo().

long com.latencybusters.lbm.UMEDeregistrationSuccessInfo.sourceRegistrationId | ( |  | ) |

Get source registration ID.

Returns
  source registration ID.

Since
  UME 2.0

String com.latencybusters.lbm.UMEDeregistrationSuccessInfo.store | ( |  | ) |

Get name (IP address) of the store successfully registered with.

Returns
  Name (IP address) of the store.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEDeregistrationSuccessInfo.UMEDeregistrationSuccessInfo().

int com.latencybusters.lbm.UMEDeregistrationSuccessInfo.storeIndex | ( |  | ) |

Get index of the store successfully registered with.

Returns
  index of the store.

Since
  UME 2.0

Referenced by com.latencybusters.lbm.UMEDeregistrationSuccessInfo.UMEDeregistrationSuccessInfo().

The documentation for this class was generated from the following file:

- UMEDeregistrationSuccessInfo.java